# Skip's No Compromises(tm) Rocky 9 Live Image, based on stock Rocky 9 Live workstation.
# Extra Features:
#   - Bundled nvidia drivers
#   - Intel i915 tweaks to work correctly, esp. on Nvidia + Intel dual GPU laptops
#   - Upstream new LT kernel for better driver compatibility
#   - EPEL, rpmfusion enabled by default
#   - Flatpak pre-configured so tons of apps available via Gnome software GUI
#
#
# How to make an ISO from this:
# - Have epel + Mock installed, be in the mock group, preferably be on a Rocky 9 system (x86_64)
#
# - mock -r rocky-9-x86_64 --init;   mock -r rocky-9-x86_64 --install lorax-lmc-novirt vim pykickstart git
# - sudo setenforce 0
# - mock -r rocky-9-x86_64 --shell --isolation simple  --enable-network
# - Copy kickstart file into /var/lib/mock/rocky-9-x86_64/root/, AND swap "<REPO_KEY>" for a valid CIQ subscription key
# - time livemedia-creator --ks /CIQ_rocky9_workstation.ks   --no-virt  --resultdir /var/lmc  --project="Rocky Linux CIQ Workstation"  --make-iso  --volid Rocky-CIQ  --iso-only  --iso-name Rocky9_CIQ_Workstation-x86_64.iso  --releasever=9  --nomacboot  --extra-boot-args  'i915.force_probe=*  rd.driver.blacklist=nouveau'  


# ISO available from s3:  https://rl-secure-boot.ewr1.vultrobjects.com/Rocky9_CIQ_Workstation-x86_64.iso


%include include/ws9_repos_pkgs.ks
%include include/ws9_base_settings.ks
%include include/ws9_disk.ks
%include include/ws9_stock_RockyLive.ks
%include include/ws9_post_fixes.ks





